package rabbitmq_common_structure

type ProductsIncreaseSoldType = int

const (
	ProductsIncreaseSoldTypePaied ProductsIncreaseSoldType = 10 // 已支付
	ProductsIncreaseSoldTypeSent  ProductsIncreaseSoldType = 20 // 已发货
)

type ProductsIncreaseSold struct {
	ID               uint                     `json:"id"`                 // 订单ID
	ProductID        uint                     `json:"product_id"`         // 商品ID
	IncreaseSoldType ProductsIncreaseSoldType `json:"increase_sold_type"` // 增加销量类型
}

// StockState 库存增减标识
type StockState = string

const (
	StockStateIncrease StockState = "increase_inventory" //增加库存
	StockStateDecrease StockState = "reduce_inventory"   //减少库存
)

type ProductsChangeStockType = int

const (
	ProductsChangeStockTypePaied ProductsChangeStockType = 10 // 已支付
	ProductsChangeStockTypeSent  ProductsChangeStockType = 20 // 已发货
)

type ProductsChangeStock struct {
	OrderId                 uint                    `json:"order_id"`
	State                   StockState              `json:"state"`
	SkuItems                []*SkuItem              `json:"sku_items"`
	DecreaseChangeStockType ProductsChangeStockType `json:"decrease_change_stock_type"`
}

type SkuItem struct {
	SkuID  uint   `json:"sku_id"`
	Num    int    `json:"num"`
	Remark string `json:"remark"`
}

type ProductsStockWarn struct {
	ID uint `json:"id"` // skuID
}
